Kerbal Space Program - Bug #26961

Unable to Save game in KSP 1.11
01/03/2021 08:31 PM - djr5899

Status: Resolved Start date: 01/03/2021
Severity: Low % Done: 100%
Assignee: victorr
Category: Controls and Ul
Target version:
Version: 1.11.0 Language: English (US)
Platform: OSX, Windows Mod Related: No
Expansion: Breaking Ground, Core Game, Making

History
Description

| am experiencing what looks to be a bug in KSP 1.11 where | cannot Save the game, and it appears the entire Escape menu system
is not usable. | have removed any mods that | have installed, and | can still reproduce the issue. The issue appears to be related to
the MK1-3 Command Pod and the RCS thrusters. By default, | disable the RCS thrusters on the pod, however, when attempting to
redock with the Command Pod, the RCS thrusters visually look like they are enabled and thrusting (even though no thrusting forces
are being exerted). ltis at this point that | can no longer Save (or return to Tracking Station/Space Center).

How | am able to reproduce the issue (this is career mode, but | don't believe this makes a difference):

. I launch a craft that uses an MK1-3 Command pod, and has a lander craft attached via Clampotron docking port.

. I put my craft in orbit of the Mun, transfer Pilot and Scientist to Lander craft, and leave Engineer on return craft in orbit.

. Lander craft lands on Mun. | can save at this point.

. Lander craft leaves Mun surface and has an intercept point with MK1-3 Command Pod craft.

. While controlling the lander, with intercept but no visual on MK1-3, | am still able to Save.

. As soon as the lander craft gets within visual range of the MK1-3 Command Pod, | can see the visual RCS thruster on the
MK1-3, and at this point, | can no longer save. | can also no longer hit Escape to go to Tracking Station/Space Center, and, if |
do manage to get back to Kerbin surface, if | click Recover craft, nothing happens. Finally, the game also no longer auto-saves
to the persistent save game.
Here is what | have tried to correct the problem, none of which has worked:

e Attempted to use Quicksave
e Attempt to enable, or enable and disabled, the RCS thruster setting on the MK1-3 command pod.
e Use Alt-F12 and attempt to clear input locks.

| have attached two screenshots, 1 which shows the RCS thrusters firing while the MK1-3 command pod settings show that they are
disabled, and the 2nd screenshot shows a NullReferencePointer error in the debug console.

This thread | created on the forums makes mention of at least one other person seeing a similar issue:
https://forum.kerbalspaceprogram.com/index.php?/topic/199281-unable-to-save-game-in-111/

Related issues:
Has duplicate Kerbal Space Program - Bug #27189: Null refrence execpiton issu... Duplicate 01/30/2021

History

#1 - 01/05/2021 03:49 PM - victorr
- Status changed from New to Confirmed
- Assignee set to victorr

- % Done changed from 0 to 10

Although | was able to escape the game and quicksave etc, | did get a number of NREs. We'll be investigating further. Thanks.

#3 - 01/08/2021 12:36 PM - nosdok

victorr wrote:
Although | was able to escape the game and quicksave etc, | did get a number of NREs. We'll be investigating further. Thanks.

I'm Alberto (login name 'nosdok’)

I'm editing the quote from victorr because | don't know how to add my own comment.

| want to say that | have the same saving problem but in a different situation as victorr. If | try to save the game jsut nothing happens. When | press
escape | return to the game but the game is not saved. In my case some ships also dissapear from my game as | press the [] buttoms and some
menus become blank, like one on top right with summary of the fuels (Fx,Ox,Electricity,Xenon).

The game turned unplayable for me. I think this bug should be upgraded to Severity High.

| hope somebody is listening here about this problem.

#4 - 01/08/2021 12:41 PM - nosdok

- Platform OSX added

- Platform deleted (Windows)

- Expansion deleted (Breaking Ground)

| just want to add that I'm using a MAC OS laptop with a eGPU Radeon RX 5700 XT in case that is relevant.

#5 - 01/08/2021 03:36 PM - maddog59d
- Expansion Breaking Ground added

I'm editing because like 'nosdok’ | don't see how to add my own independent comment.

I've run into the same problem while on EVA, not with any ships (so far): I've got Bill floating around with an SC-62 container on his back. | was able
to do some construction (pulled parts out and mounted them w/ construction mode) w/o any problems, and was able to save games (Alt+F5) as
normal. | got another part from a storage unit on another ship, put it in the container, and all seemed well until | tried to save the game (Alt+F5).
Although | was able to input the save name, it wouldn't actually save the game; just no response from the menu. ESC closed the menu, but left the
game paused; | had to tap ESC again to get it running. | tapped ESC again to bring up the 'Resume/Load/Save/Quit' menu and while | could Resume,
Load, or go to Settings, the other menu buttons wouldn't work (Save, Quit, Space Center, Tracking Center). Reviewing the 'Load' menu, | could see
that the save name that I'd input wasn't there.

#6 - 01/13/2021 05:11 PM - GewoonLukas_
- Platform Windows added

| have had the same issue on Windows. The following topic: https://bugs.kerbalspaceprogram.com/issues/27025 seems to relate to this topic.

#7 - 01/26/2021 07:53 AM - KerbalBoi

also have this problem, for me | was doing an easy miin mission and when | was docking with my command module after returning from the surface,
the mk3 command pod's rcs thrusters seem to be on, but not draining any monopropellant, so | continued the mission thinking its a graphics bug, then
| realized | can't quick save, so | just continued to mission, and when | splashed down on kerbin, | realized | can't even recover vessel or go back to
the space center, | did a couple more missions without the mk3 command pod and quick saving and recovering works just fine. so there must be
some sort of issue on the mk3 command pod

#9 - 01/30/2021 11:45 AM - realkerbal3x

This was not fixed in 1.11.1 however in my testing | think | have found a workaround - reload the scene (eg, go to the KSC/tracking station and back
to the flight scene, or quicksave and then quickload) before returning to the physics range of the pod.

#10 - 01/30/2021 08:19 PM - KawaiiLucy

Seeing this bug as well, with no drawn patched conic of the trajectory, and quicksave unavailable due to "still moving over the surface" despite being
already in space high. Rendez-vous with a transfer ship didn't fix this, as well as scene change.

#11 - 02/05/2021 06:01 AM - TriggerAu

- Has duplicate Bug #27189: Null refrence execpiton issue with all command modules added

#13 - 02/14/2021 01:29 PM - Dunbaratu
KerbalBoi wrote:
also have this problem, for me | was doing an easy min mission and when | was docking with my command module after returning from the

surface, the mk3 command pod's rcs thrusters seem to be on, but not draining any monopropellant

Same problem. Mk3 command pod. Looks like RCS thrusters are showing their animation for being on, even though they do nothing and are not
draining monopropellant fuel. No workaround because you cannot leave the scene in any way when the act of leaving the scene itself causes the
exceptions that abort the attempt to do so.

This is the exception that | get every time | attempt to do anything that would save the game even temporarily, like go to the tracking center, the
space center, or hitting quicksave:

NullReferenceException: Object reference not set to an instance of an object

at PartModule.get_HasAdjusters () [0x00006] in <2afc64dea36946459d4707808bdac511>:0

at PartModule.Save (ConfigNode node) [0x0005c] in <2afc64dea36946459d4707808bdac511>:0

at ProtoPartModuleSnapshot..ctor (PartModule module) [0x000d2] in <2afc64dea36946459d4707808bdac511>:0

at ProtoPartSnapshot..ctor (Part PartRef, ProtoVessel protoVessel, System.Boolean preCreate) [0x00420] in <2

afc64dea36946459d4707808bdac511>:0

at ProtoPartSnapshot..ctor (Part PartRef, ProtoVessel protoVessel) [0x00000] in <2afc64dea36946459d4707808bd
ac511>:0

at ProtoVessel..ctor (Vessel VesselRef, System.Boolean preCreate) [0x001e3] in <2afc64dea36946459d4707808bda
c511>:0

at ProtoVessel..ctor (Vessel VesselRef) [0x00000] in <2afc64dea36946459d4707808bdac511>:0

at Vessel.BackupVessel () [0x00022] in <2afc64dea36946459d4707808bdac511>:0

at FlightState..ctor () [0x00264] in <2afc64dea36946459d4707808bdac511>:0

at
at
at
at
at
at
at

Game.Updated (GameScenes startSceneOverride) [0x000la] in <2afc64dea36946459d4707808bdac511>:0
Game.Updated () [0x00045] in <2afc64dea36946459d4707808bdac511>:0
PauseMenu.<draw>b__ 25_6 () [0x00037] in <2afc64dea36946459d4707808bdac511>:0
DialogGUIButton.OptionSelected () [0x00000] in <2afc64dea36946459d4707808bdac511>:0
DialogGUIButton.<Create>b_ 23_1 () [0x00000] in <2afc64dea36946459d4707808bdac511>:0
UnityEngine.Events.InvokableCall.Invoke () [0x00011] in <5aeafee3fea24f37abdl315553f2cfa6>:0
UnityEngine.Events.UnityEvent.Invoke () [0x00023] in <baeafee3fea24f37abdl1315553f2cfa6>:0

at UnityEngine.UI.Button.Press () [0x0001lc] in <30d59899bde7411c8lacfdéb3b3a894d>:0

at UnityEngine.UI.Button.OnPointerClick (UnityEngine.EventSystems.PointerEventData eventData)
30d59899bde7411c8lacfd6b3b3a894d>:0

at UnityEngine.EventSystems.ExecuteEvents.Execute (UnityEngine.EventSystems.IPointerClickHandler handler,
ityEngine.EventSystems.BaseEventData eventData) [0x00007] in <30d59899bde7411c8lacfdéb3b3a894d>:0

at UnityEngine.EventSystems.ExecuteEvents.Execute[T] (UnityEngine.GameObject target, UnityEngine.EventSystem
s.BaseEventData eventData, UnityEngine.EventSystems.ExecuteEvents+EventFunction 1[T1] functor) [0x00063] in <3
0d59899bde7411c8lacfd6b3b3a894d>:0
UnityEngine.DebugLogHandler:Internal_LogException (Exception,
UnityEngine.DebugLogHandler:LogException (Exception, Object)
ModuleManager.UnityLogHandle.InterceptLogHandler:LogException (Exception,
UnityEngine.Logger:LogException (Exception, Object)

[0x00009] in <

Un

Object)

Object)

UnityEngine.
UnityEngine.
UnityEngine.
UnityEngine.
UnityEngine.
UnityEngine.
UnityEngine.
UnityEngine.

Debug:LogException (Exception)
EventSystems.
EventSystems.
EventSystems.

ExecuteEvents:Execute (GameObject, BaseEventData, EventFunction' 1)
StandalonelInputModule:ReleaseMouse (PointerEventData, GameObject)
StandalonelInputModule:ProcessMousePress (MouseButtonEventData)
ProcessMouseEvent (Int32)
ProcessMouseEvent ()

Process ()

EventSystems.
EventSystems.
EventSystems.

StandaloneInputModule:
StandaloneInputModule:
StandaloneInputModule:

EventSystems.EventSystem:Update ()

| am now required to abandon and pull up a backup save from the folder to continue the campaign.

To be clear, this is not a visual bug (the thrusters are showing, oh well). It's a gameplay fatal bug because you CANNOT LEAVE and save your
progress. It's only because | know where the game stores backups secretly in a folder that | have any recourse to get out of this.

#14 - 02/15/2021 09:00 AM - Dunbaratu
Further info for developers that may be important:
- | didn't seem to be able to recreate this bug if the Mk3 Command Pod on the target vessel was not the root part of that vessel. When | re-rooted the

target vessel in the VAB such that the Mk3 Command Pod was now the 2nd part down, underneath an RCS fuel tank | was using as the root part, the
problem didn't seem to happen.

- When | changed the target craft design by swapping in a Mk1 command pod where the Mk3 command pod used to be, the problem did not occur
using that as a test target vessel.

- When | changed the target craft design by swapping in a "Munar Excursion Module" lander (from Making History DLC, the one that looks like the
Apollo LM), then | did get the problem to occur.

Possible conclusion from all the above: The problem triggers when the ROOT part of the vessel is a part that contains RCS thrusters in it.

#15 - 02/15/2021 10:52 AM - Portablejim
- File KSP.log added

This bug can be reproduced using the docking tutorial. From a clean installation of KSP (only setting changed was muting the sound and making it
fullscreen) | could reproduce the visual effects problems without the DLC (see https://www.youtube.com/watch?v=-qglldGb01Kk for a screen recording
from the main menu), but could still exit the game. With the DLC, | can fully reproduce the bug (see
https://www.youtube.com/watch?v=pjO_UwhKXWO for a screen recording from the main menu).

The key seems be as described in bug #27025: "accelerating towards a target when the target moves from within 2.2km to outside of 2.2km". This is
likely to occur when new players are trying to dock using the tutorial.

Also attached is my log file from the with-DLC reproduction.

#16 - 03/06/2021 05:27 AM - Krazy1

| experienced this problem when flying a ship into physics range of a station that had a Mk1-3 pod. | passed through ~2 km threshold while warping
10x. | saw the exception on screen and could not exit the game. Then | switched to view the station and all of the RCS thrusters on the Mk1-3 pod
appeared to be firing. The Mk1-3 pod is the root part of the station. | have DLC and common mods installed. | have flown in/ out of physics range of
this station before without problems. The initial exception in the KSP log:

[EXC 19:31:19.365] NullReferenceException

AudioMultiPooledFX.Play (System.Single power, System.Int32 transformIdx) (at <2afc64dea36946459d4707808bda
c511>:0)

AudioMultiPooledFX.OnEvent (System.Single power, System.Int32 transformIdx) (at <2afc64dea36946459d4707808
bdacb511>:0)

EffectlList.Event (System.String eventName, System.Single power, System.Int32 transformIdx) (at <2afc64deal3
6946459d4707808bdac511>:0)

Part.Effect (System.String effectName, System.Single effectPower, System.Int32 transformIdx) (at <2afc64de
a36946459d4707808bdac511>:0)

ModuleRCSFX.OnAwake () (at <2afc64dea36946459d4707808bdac511>:0)

PartModule.Awake () (at <2afc64dea36946459d4707808bdac511>:0)

UnityEngine.DebuglLogHandler:LogException (Exception, Object)

ModuleManager.UnityLogHandle.InterceptLogHandler:LogException (Exception, Object)

UnityEngine.GameObject :AddComponent (Type)

Part:AddModule (String, Boolean)

ProtoPartSnapshot:Load (Vessel, Boolean)

ProtoVessel:LoadObjects ()

Vessel:Load ()

Vessel:Update ()

Followed by:

[ERR 19:31:19.530] Module ModuleRCSFX threw during OnStart: System.NullReferenceException

at (wrapper managed-to-native) UnityEngine.Component.get_gameObject (UnityEngine.Component)

at AudioMultiPooledFX.Play (System.Single power, System.Int32 transformIdx) [0x000a0] in <2afc64dea36946459d
4707808bdac511>:0

at AudioMultiPooledFX.OnEvent (System.Single power, System.Int32 transformIdx) [0x0004c] in <2afc64dea369464
59d4707808bdac511>:0

at Effectlist.Event (System.String eventName, System.Single power, System.Int32 transformIdx) [0x00039] in <
2afc64dea36946459d4707808bdac511>:0

at Part.Effect (System.String effectName, System.Single effectPower, System.Int32 transformIdx) [0x00006] in
<2afc64dea36946459d4707808bdac511>:0

at ModuleRCSFX.SetupFX () [0x00006] in <2afc64dea36946459d4707808bdac511>:0
at ModuleRCS.OnStart (PartModule+StartState state) [0x00028] in <2afc64dea36946459d4707808bdac511>:0
at Part.ModulesOnStart () [0x00120] in <2afc64dea36946459d4707808bdac511>:0

[ERR 19:31:19.654] Module ModuleRCSFX threw during OnStartFinished: System.NullReferenceException: Object refe
rence not set to an instance of an object

at PartModule.ApplyAdjustersOnStart () [0x0001lc] in <2afc64dea36946459d4707808bdac511>:0

at Part.ModulesOnStartFinished () [0x00049] in <2afc64dea36946459d4707808bdac511>:0

Then trying to exit game from pause menu:

[LOG 19:32:37.268] Game Paused!
[LOG 19:32:37.268] [UIMasterController]: ShowUI
[EXC 19:32:39.368] NullReferenceException: Object reference not set to an instance of an object
PartModule.get_HasAdjusters () (at <2afc64dea36946459d4707808bdac511>:0)
PartModule.Save (ConfigNode node) (at <2afc64dea36946459d4707808bdac511>:0)
ProtoPartModuleSnapshot..ctor (PartModule module) (at <2afc64dea36946459d4707808bdac511>:0)
ProtoPartSnapshot..ctor (Part PartRef, ProtoVessel protoVessel, System.Boolean preCreate) (at <2afc64dea36
946459d4707808bdac511>:0)
ProtoPartSnapshot..ctor (Part PartRef, ProtoVessel protoVessel) (at <2afc64dea36946459d4707808bdac511>:0)
ProtoVessel..ctor (Vessel VesselRef, System.Boolean preCreate) (at <2afc64dea36946459d4707808bdac511>:0)
ProtoVessel..ctor (Vessel VesselRef) (at <2afc64dea36946459d4707808bdac511>:0)
Vessel.BackupVessel () (at <2afc64dea36946459d4707808bdac511>:0)
FlightState..ctor () (at <2afc64dea36946459d4707808bdac511>:0)
Game.Updated (GameScenes startSceneOverride) (at <2afc64dea36946459d4707808bdac511>:0)
Game.Updated () (at <2afc64dea36946459d4707808bdac511>:0)
PauseMenu.SubmitExitToMainMenuConfirmation () (at <2afc64dea36946459d4707808bdac511>:0)
DialogGUIButton.OptionSelected () (at <2afc64dea36946459d4707808bdac511>:0)
DialogGUIButton.<Create>b_ 23_1 () (at <2afc64dea36946459d4707808bdac511>:0)
UnityEngine.Events.InvokableCall.Invoke () (at <baeafee3fea24f37abdl315553f2cfa6>:0)
UnityEngine.Events.UnityEvent.Invoke () (at <5aeafee3fea24f37abdl1315553f2cfa6>:0)
UnityEngine.UI.Button.Press () (at <30d59899bde7411c8lacfd6b3b3a894d>:0)
UnityEngine.UI.Button.OnPointerClick (UnityEngine.EventSystems.PointerEventData eventData) (at <30d59899bd
e7411c8lacfd6b3b3a894d>:0)
UnityEngine.EventSystems.ExecuteEvents.Execute (UnityEngine.EventSystems.IPointerClickHandler handler, Uni
tyEngine.EventSystems.BaseEventData eventData) (at <30d59899bde7411c8lacfd6b3b3a894d>:0)
UnityEngine.EventSystems.ExecuteEvents.Execute[T] (UnityEngine.GameObject target, UnityEngine.EventSystems
.BaseEventData eventData, UnityEngine.EventSystems.ExecuteEvents+EventFunction 1[T1] functor) (at <30d59899bde
7411c8lacfd6b3b3a894d>:0)
UnityEngine.DebuglLogHandler:LogException (Exception, Object)
ModuleManager.UnityLogHandle.InterceptLogHandler:LogException (Exception, Object)
UnityEngine.EventSystems.EventSystem:Update ()

After killing KSP and relaunching, | reloaded the prior autosave and repeated the same sequence without any errors.
#17 - 03/09/2021 04:58 AM - djr5899
victorr wrote:
Although | was able to escape the game and quicksave etc, | did get a number of NREs. We'll be investigating further. Thanks.
victorr is there any update on this? Seems like more and more people are reporting this issue, yet the status is still set low with almost no work

completed. | had hoped something as reproducible as this would have been addressed more quickly in one of the hotfix updates to 1.11. For me and
where | am at in my gameplay, | have completely stopped playing KSP due to this bug.

| understand there are likely lots of issues to work on and some more serious than this, but hoping that this is something that makes it into the next
patch. Thanks!

#18 - 03/09/2021 02:18 PM - Simon
| also experienced this game breaking bug. Same scenario as others. Mk3 command pod firing rcs thrusters, can no longer save from mun landing
mission. KSP and both DLC only, no mods.

Can’t save, can'’t go to tracking station, can’t recover vessels placed down on Kerrbin.

#19 - 03/11/2021 11:49 AM - KosmonausTheodoros

| want to confirm this bug as well. Seems to be happening with the large 3 seat MK3 Module. Whenever you go on EVA and try to return to the ship,
after going some distance like 4 km, you will be unable to save the game. No workaround, no quicksave, nothing you can do to get out. Seems like
when Game tries to render this MK3 module again, as you have gone away and now you return, something in the game totally crashes.

WARNING
THIS IS A FATAL ERROR
WARNING

#20 - 03/11/2021 05:50 PM - emyrs42

KosmonausTheodoros wrote:
| want to confirm this bug as well. Seems to be happening with the large 3 seat MK3 Module. Whenever you go on EVA and try to return to the
ship, after going some distance like 4 km, you will be unable to save the game. No workaround, no quicksave, nothing you can do to get out.

Seems like when Game tries to render this MK3 module again, as you have gone away and now you return, something in the game totally
crashes.

I can confirm this as well. it happens when you exit render range, then return; Both with an Space EVA, and when landed (on Minmus for me); a
Tell tale sign of this is the MK1-3's RCS graphic is active, but RCS is not actually being used. It doesn't happen 100% of the time these are met, but
it is pretty frequent. As above, saves, return to main, and exits are not functional during this bug.

#21 - 03/12/2021 11:14 PM - Serpensys

Same thing here, | have a station orbiting the Mun and the RCS thrusters of the station's MK3 are always on but not consuming any RCS fuel. | can't
save my game or do anything about it. | tried aproaching at less than 5x the speed but it didn't seem to help. | don't think the severity of this bug
should be "low", it's a game breaker.

#22 - 03/13/2021 03:26 AM - schubert125

Never used this before, so hopefully thigs goes through as planned.

I've got this same bug, and it is absolutely game breaking. | haven't played any significant amount of KSP since 1.11 came out now because of this
bug. I've only booted it after reinstalling several times, hoping it could fix this bug. If the severity could be bumped up so this possibly gets patched
sooner, that'd be great.

#23 - 03/13/2021 01:53 PM - KerbalCade

Yeah this should really be set to high. I finally figured out orbital rendezvous and docking without the tutorial and now | can’t play the game.

#24 - 03/16/2021 11:35 AM - jxdigital

Same issue here. Context: after redocking my mun lander with my Mk1-3 Command Pod in lunar orbit, | did not have enough fuel to return home. |
sent a rescue mission, which still saved once it reached lunar orbit. But after that:

- Saving not possible, just 'hangs' until you press escape. | was under the impression all my saves were done, but nothing saved after that point.

- The first Mk1-3 command pod visually appears to keep firing RCS thrusters, but nothing actually happens.

This bug is critical and game-breaking, a fix for this should have the highest priority!

#25 - 03/16/2021 07:57 PM - djr5899

djr5899 wrote:

victorr wrote:

Although | was able to escape the game and quicksave etc, | did get a number of NREs. We'll be investigating further. Thanks.

victorr is there any update on this? Seems like more and more people are reporting this issue, yet the status is still set low with almost no work
completed. | had hoped something as reproducible as this would have been addressed more quickly in one of the hotfix updates to 1.11. For
me and where | am at in my gameplay, | have completely stopped playing KSP due to this bug.

| understand there are likely lots of issues to work on and some more serious than this, but hoping that this is something that makes it into the
next patch. Thanks!

While | have yet to test it out, this appears to be on the changelog for 1.11.2 that was released today. Fingers crossed.

#26 - 03/16/2021 11:00 PM - Portablejim
djr5899 wrote:

While | have yet to test it out, this appears to be on the changelog for 1.11.2 that was released today. Fingers crossed.

| retested the docking tutorial. 1.11.2 seems to fix this.

#27 - 03/17/2021 01:52 PM - jxdigital

The saving issue appears to have been fixed in 1.11.2 for me too, thanks for the release!

#28 - 03/22/2021 05:11 PM - victorr
- Status changed from Confirmed to Resolved

- % Done changed from 10 to 100

Files

20210103144814_1.jpg 388 KB 01/03/2021 djr5899
20210103144753_1.jpg 390 KB 01/03/2021 djr5899
KSP.log 469 KB 02/15/2021 Portablejim
